Bug 2068041 - [abrt] xdg-desktop-portal-gnome: wl_proxy_get_version(): xdg-desktop-portal-gnome killed by SIGSEGV
Summary: [abrt] xdg-desktop-portal-gnome: wl_proxy_get_version(): xdg-desktop-portal-g...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-desktop-portal-gnome
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:30afccd50f061a30909d3c4bcde...
Depends On:
Blocks: BetaBlocker, F37BetaBlocker BetaFreezeException, F37BetaFreezeException F36FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-03-24 10:28 UTC by Mikhail
Modified: 2022-04-05 15:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-04 00:15:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (170.10 KB, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
File: core_backtrace (103.64 KB, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
File: cpuinfo (2.81 KB, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
File: dso_list (201 bytes, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
File: environ (1.41 KB, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
File: maps (3.96 KB, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
File: mountinfo (2.97 KB, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
File: open_fds (8.93 KB, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
File: proc_pid_status (1.40 KB, text/plain)
2022-03-24 10:28 UTC, Mikhail
no flags Details
save window - bug (416.19 KB, image/png)
2022-03-31 21:43 UTC, Mikhail
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gtk issues 4805 0 None None None 2022-03-30 22:27:32 UTC
GNOME Gitlab GNOME xdg-desktop-portal-gnome issues 22 0 None None None 2022-03-30 15:46:50 UTC

Description Mikhail 2022-03-24 10:28:02 UTC
Description of problem:
This happens when X11 application tries open file save GTK dialog.

Last good xdg-desktop-portal-gnome is 41.1-2.fc36.x86_64


Mar 25 14:09:54 mikhail-laptop xdg-desktop-por[17077]: gdk_wayland_display_get_wl_display: assertion 'GDK_IS_WAYLAND_DISPLAY (display)' failed
Mar 25 14:09:54 mikhail-laptop kernel: xdg-desktop-por[17077]: segfault at 40 ip 00007f2230f64174 sp 00007ffc85bf8968 error 4 in libwayland-client.so.0.20.0[7f2230f62000+6000]
Mar 25 14:09:54 mikhail-laptop kernel: Code: 84 00 00 00 00 00 f3 0f 1e fa 48 89 77 30 c3 0f 1f 80 00 00 00 00 f3 0f 1e fa 48 8b 47 30 c3 0f 1f 80 00 00 00 00 f3 0f 1e fa <8b> 47 40 c3 0f 1f 84 00 00 00 00 00 f3 0f 1e fa 8b 47 10 c3 0f 1f
Mar 25 14:09:54 mikhail-laptop audit[17077]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=17077 comm="xdg-desktop-por" exe="/usr/libexec/xdg-desktop-portal-gnome" sig=11 res=1
Mar 25 14:09:54 mikhail-laptop audit: BPF prog-id=99 op=LOAD
Mar 25 14:09:54 mikhail-laptop audit: BPF prog-id=100 op=LOAD
Mar 25 14:09:54 mikhail-laptop audit: BPF prog-id=101 op=LOAD
Mar 25 14:09:54 mikhail-laptop systemd[1]: Started systemd-coredump - Process Core Dump (PID 17213/UID 0).
Mar 25 14:09:54 mikhail-laptop audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@2-17213-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Mar 25 14:09:55 mikhail-laptop [17215]: [172B blob data]
Mar 25 14:09:55 mikhail-laptop systemd-coredump[17214]: [🡕] Process 17077 (xdg-desktop-por) of user 1000 dumped core.

                                                        Module linux-vdso.so.1 with build-id 435b1d5d24f40351157a357e652b2cdf55d28a63
                                                        Module librsvg-2.so.2 with build-id bd3376e4d7be9ab2fdadfcd610ebbd6f2c0ace40
                                                        Metadata for module librsvg-2.so.2 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "librsvg2",
                                                                "version" : "2.54.0-1.fc37",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:37"
                                                        }

                                                        Module libpixbufloader-svg.so with build-id bbdde749135eb2e4898eb610599fbadf0eb6a7ac
                                                        Metadata for module libpixbufloader-svg.so owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "librsvg2",
                                                                "version" : "2.54.0-1.fc37",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:37"
                                                        }

                                                        Module libgioremote-volume-monitor.so with build-id a88a89299995f5ef9f6b9092c9f6c520f90aeafe
                                                        Metadata for module libgioremote-volume-monitor.so owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "gvfs",
                                                                "version" : "1.50.0-2.fc37",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:37"
                                                        }

                                                        Module libvulkan.so.1 with build-id b4ec68b9030644f5f90d182464b3dd7018e6f7ca
                                                        Metadata for module libvulkan.so.1 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "vulkan-loader",
                                                                "version" : "1.3.204.0-1.fc37",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:37"
                                                        }

                                                        Module libdrm_nouveau.so.2 with build-id 44675436394144bbc1e0610e5472dfb165b984f9
                                                        Metadata for module libdrm_nouveau.so.2 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "libdrm",
                                                                "version" : "2.4.110-20220222.d13ab997.fc37",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:37"
                                                        }

                                                        Module libdrm_amdgpu.so.1 with build-id 1f4398476a5cca2c685e28832ea675b6ee3888c9
                                                        Metadata for module libdrm_amdgpu.so.1 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "libdrm",
                                                                "version" : "2.4.110-20220222.d13ab997.fc37",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:37"
                                                        }

                                                        Module libdrm_radeon.so.1 with build-id b8911c64fdc6067582c4b07ba5f3626cef62d17e
                                                        Metadata for module libdrm_radeon.so.1 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "libdrm",
                                                                "version" : "2.4.110-20220222.d13ab997.fc37",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:37"
                                                        }

                                                        Module libsensors.so.4 with build-id 27c3cf169a7f8196e3626bd22a99c3a4b29b0fc1
                                                        Metadata for module libsensors.so.4 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "lm_sensors",
                                                                "version" : "3.6.0-11.fc36",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:36"
                                                        }

                                                        Module radeonsi_dri.so with build-id c467fca4cf2e2101ae9c3120d604551cc67f874f
                                                        Metadata for module radeonsi_dri.so owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "mesa",
                                                                "version" : "22.1.0-0.3.20220324.00.85e314d.fc37",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:37"
                                                        }

                                                        Module libXxf86vm.so.1 with build-id 9acf215bd70b9c916d73d7cb2631a444ad1b6271
                                                        Metadata for module libXxf86vm.so.1 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "libXxf86vm",
                                                                "version" : "1.1.4-18.fc36",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:36"
                                                        }

                                                        Module libxcb-glx.so.0 with build-id 2077b4cd06425998469df7f58dab6f1479f61283
                                                        Metadata for module libxcb-glx.so.0 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "libxcb",
                                                                "version" : "1.13.1-9.fc36",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:36"
                                                        }

                                                        Module libGLX_mesa.so.0 with build-id 50ccef7b286cf4520ac4231ba9373e53b3b1ddaf
                                                        Metadata for module libGLX_mesa.so.0 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "mesa",
                                                                "version" : "22.1.0-0.3.20220324.00.85e314d.fc37",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:37"
                                                        }

                                                        Module libGL.so.1 with build-id 848b2a8693fcd30c6eaaa57d1605cc9ddab80f80
                                                        Metadata for module libGL.so.1 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "libglvnd",
                                                                "version" : "1.4.0-2.fc36",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:36"
                                                        }

                                                        Module libtinfo.so.6 with build-id 954d12f7d8216fde821db122a4768ee255382a63
                                                        Metadata for module libtinfo.so.6 owned by FDO found: {
                                                                "type" : "rpm",
                                                                "name" : "ncurses",
                                                                "version" : "6.2-9.20210508.fc36",
                                                                "architecture" : "x86_64",
                                                                "osCpe" : "cpe:/o:fedoraproject:fedora:36"
                                                        }

                                                        Module libedit.so.0 with build-id 786ebbe150c63e27beb2957d717bece33431af6f
                                                        Stack trace of thread 17077:
                                                        #0  0x00007f2230f64174 wl_proxy_get_version (libwayland-client.so.0 + 0x8174)
                                                        #1  0x00007f223214db1a gtk_im_context_wayland_global_get.part.0 (libgtk-4.so.1 + 0x34db1a)
                                                        #2  0x00007f223214e008 gtk_im_context_wayland_focus_in (libgtk-4.so.1 + 0x34e008)
                                                        #3  0x00007f223203730b gtk_text_realize (libgtk-4.so.1 + 0x23730b)
                                                        #4  0x00007f22326fab59 g_signal_emit_valist (libgobject-2.0.so.0 + 0x30b59)
                                                        #5  0x00007f22326fac93 g_signal_emit (libgobject-2.0.so.0 + 0x30c93)
                                                        #6  0x00007f22320b3794 gtk_widget_realize (libgtk-4.so.1 + 0x2b3794)
                                                        #7  0x00007f22320b3968 gtk_widget_map (libgtk-4.so.1 + 0x2b3968)
                                                        #8  0x00007f22320ba572 gtk_widget_real_map.lto_priv.0 (libgtk-4.so.1 + 0x2ba572)
                                                        #9  0x00007f22326f9d41 g_signal_emit_valist (libgobject-2.0.so.0 + 0x2fd41)
                                                        #10 0x00007f22326fac93 g_signal_emit (libgobject-2.0.so.0 + 0x30c93)
                                                        #11 0x00007f22320b38ea gtk_widget_map (libgtk-4.so.1 + 0x2b38ea)
                                                        #12 0x00007f22320ba572 gtk_widget_real_map.lto_priv.0 (libgtk-4.so.1 + 0x2ba572)
                                                        #13 0x00007f22326f9d41 g_signal_emit_valist (libgobject-2.0.so.0 + 0x2fd41)
                                                        #14 0x00007f22326fac93 g_signal_emit (libgobject-2.0.so.0 + 0x30c93)
                                                        #15 0x00007f22320b38ea gtk_widget_map (libgtk-4.so.1 + 0x2b38ea)
                                                        #16 0x00007f22320ba572 gtk_widget_real_map.lto_priv.0 (libgtk-4.so.1 + 0x2ba572)
                                                        #17 0x00007f22326f9d41 g_signal_emit_valist (libgobject-2.0.so.0 + 0x2fd41)
                                                        #18 0x00007f22326fac93 g_signal_emit (libgobject-2.0.so.0 + 0x30c93)
                                                        #19 0x00007f22320b38ea gtk_widget_map (libgtk-4.so.1 + 0x2b38ea)
                                                        #20 0x00007f22320ba572 gtk_widget_real_map.lto_priv.0 (libgtk-4.so.1 + 0x2ba572)
                                                        #21 0x00007f22326f9d41 g_signal_emit_valist (libgobject-2.0.so.0 + 0x2fd41)
                                                        #22 0x00007f22326fac93 g_signal_emit (libgobject-2.0.so.0 + 0x30c93)
                                                        #23 0x00007f22320b38ea gtk_widget_map (libgtk-4.so.1 + 0x2b38ea)
                                                        #24 0x00007f22320ba572 gtk_widget_real_map.lto_priv.0 (libgtk-4.so.1 + 0x2ba572)
                                                        #25 0x00007f22326f9d41 g_signal_emit_valist (libgobject-2.0.so.0 + 0x2fd41)
                                                        #26 0x00007f22326fac93 g_signal_emit (libgobject-2.0.so.0 + 0x30c93)
                                                        #27 0x00007f22320b38ea gtk_widget_map (libgtk-4.so.1 + 0x2b38ea)
                                                        #28 0x00007f22320ba572 gtk_widget_real_map.lto_priv.0 (libgtk-4.so.1 + 0x2ba572)
                                                        #29 0x00007f22320c86b6 gtk_window_map (libgtk-4.so.1 + 0x2c86b6)
                                                        #30 0x00007f2231f1d05d gtk_dialog_map (libgtk-4.so.1 + 0x11d05d)
                                                        #31 0x00007f22326fab59 g_signal_emit_valist (libgobject-2.0.so.0 + 0x30b59)
                                                        #32 0x00007f22326fac93 g_signal_emit (libgobject-2.0.so.0 + 0x30c93)
                                                        #33 0x00007f22320b38ea gtk_widget_map (libgtk-4.so.1 + 0x2b38ea)
                                                        #34 0x00007f22320c7b2c gtk_window_show (libgtk-4.so.1 + 0x2c7b2c)
                                                        #35 0x00007f22326fab59 g_signal_emit_valist (libgobject-2.0.so.0 + 0x30b59)
                                                        #36 0x00007f22326fac93 g_signal_emit (libgobject-2.0.so.0 + 0x30c93)
                                                        #37 0x00007f22320b1a9e gtk_widget_show (libgtk-4.so.1 + 0x2b1a9e)
                                                        #38 0x00005584941bed42 handle_open.lto_priv.0 (xdg-desktop-portal-gnome + 0x39d42)
                                                        #39 0x00007f2231a13746 ffi_call_unix64 (libffi.so.8 + 0x7746)
                                                        #40 0x00007f2231a104d2 ffi_call_int.lto_priv.0 (libffi.so.8 + 0x44d2)
                                                        #41 0x00007f22326e3fc3 g_cclosure_marshal_generic (libgobject-2.0.so.0 + 0x19fc3)
                                                        #42 0x00007f22326ddda0 g_closure_invoke (libgobject-2.0.so.0 + 0x13da0)
                                                        #43 0x00007f223270a4b6 signal_emit_unlocked_R.isra.0 (libgobject-2.0.so.0 + 0x404b6)
                                                        #44 0x00005584941a4e5b _xdp_impl_file_chooser_skeleton_handle_method_call (xdg-desktop-portal-gnome + 0x1fe5b)
                                                        #45 0x00007f223284d1fd g_dbus_interface_method_dispatch_helper (libgio-2.0.so.0 + 0x1241fd)
                                                        #46 0x00007f223283a469 call_in_idle_cb.lto_priv.0 (libgio-2.0.so.0 + 0x111469)
                                                        #47 0x00007f223295445b g_idle_dispatch (libglib-2.0.so.0 + 0x5145b)
                                                        #48 0x00007f2232957f3f g_main_context_dispatch (libglib-2.0.so.0 + 0x54f3f)
                                                        #49 0x00007f22329ad148 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xaa148)
                                                        #50 0x00007f223295765f g_main_loop_run (libglib-2.0.so.0 + 0x5465f)
                                                        #51 0x00005584941a0dcb main (xdg-desktop-portal-gnome + 0x1bdcb)
                                                        #52 0x00007f223182d550 __libc_start_call_main (libc.so.6 + 0x2d550)
                                                        #53 0x00007f223182d609 __libc_start_main@@GLIBC_2.34 (libc.so.6 + 0x2d609)
                                                        #54 0x00005584941a0f25 _start (xdg-desktop-portal-gnome + 0x1bf25)

                                                        Stack trace of thread 17082:
                                                        #0  0x00007f223190972f __poll (libc.so.6 + 0x10972f)
                                                        #1  0x00007f22329ad0bd g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xaa0bd)
                                                        #2  0x00007f22329558d0 g_main_context_iteration (libglib-2.0.so.0 + 0x528d0)
                                                        #3  0x00007f222000d3ad dconf_gdbus_worker_thread (libdconfsettings.so + 0x73ad)
                                                        #4  0x00007f2232982162 g_thread_proxy (libglib-2.0.so.0 + 0x7f162)
                                                        #5  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #6  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17079:
                                                        #0  0x00007f223190972f __poll (libc.so.6 + 0x10972f)
                                                        #1  0x00007f22329ad0bd g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xaa0bd)
                                                        #2  0x00007f22329558d0 g_main_context_iteration (libglib-2.0.so.0 + 0x528d0)
                                                        #3  0x00007f2232955921 glib_worker_main (libglib-2.0.so.0 + 0x52921)
                                                        #4  0x00007f2232982162 g_thread_proxy (libglib-2.0.so.0 + 0x7f162)
                                                        #5  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #6  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17181:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17183:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17185:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17182:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17187:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17188:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17190:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17184:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17186:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17191:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17081:
                                                        #0  0x00007f223190972f __poll (libc.so.6 + 0x10972f)
                                                        #1  0x00007f22329ad0bd g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xaa0bd)
                                                        #2  0x00007f223295765f g_main_loop_run (libglib-2.0.so.0 + 0x5465f)
                                                        #3  0x00007f223283d64a gdbus_shared_thread_func.lto_priv.0 (libgio-2.0.so.0 + 0x11464a)
                                                        #4  0x00007f2232982162 g_thread_proxy (libglib-2.0.so.0 + 0x7f162)
                                                        #5  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #6  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17204:
                                                        #0  0x00007f223190edcd syscall (libc.so.6 + 0x10edcd)
                                                        #1  0x00007f22329a8850 g_cond_wait_until (libglib-2.0.so.0 + 0xa5850)
                                                        #2  0x00007f2232927ef1 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0 + 0x24ef1)
                                                        #3  0x00007f2232984bba g_thread_pool_thread_proxy.lto_priv.0 (libglib-2.0.so.0 + 0x81bba)
                                                        #4  0x00007f2232982162 g_thread_proxy (libglib-2.0.so.0 + 0x7f162)
                                                        #5  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #6  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17203:
                                                        #0  0x00007f223190edcd syscall (libc.so.6 + 0x10edcd)
                                                        #1  0x00007f22329a8850 g_cond_wait_until (libglib-2.0.so.0 + 0xa5850)
                                                        #2  0x00007f2232927ef1 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0 + 0x24ef1)
                                                        #3  0x00007f2232984bba g_thread_pool_thread_proxy.lto_priv.0 (libglib-2.0.so.0 + 0x81bba)
                                                        #4  0x00007f2232982162 g_thread_proxy (libglib-2.0.so.0 + 0x7f162)
                                                        #5  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #6  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17189:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17194:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17193:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17198:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17197:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17195:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17196:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17200:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17201:
                                                        #0  0x00007f223190edcd syscall (libc.so.6 + 0x10edcd)
                                                        #1  0x00007f22329a8850 g_cond_wait_until (libglib-2.0.so.0 + 0xa5850)
                                                        #2  0x00007f2232927ef1 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0 + 0x24ef1)
                                                        #3  0x00007f2232984bba g_thread_pool_thread_proxy.lto_priv.0 (libglib-2.0.so.0 + 0x81bba)
                                                        #4  0x00007f2232982162 g_thread_proxy (libglib-2.0.so.0 + 0x7f162)
                                                        #5  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #6  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17192:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)

                                                        Stack trace of thread 17199:
                                                        #0  0x00007f223188d899 __futex_abstimed_wait_common (libc.so.6 + 0x8d899)
                                                        #1  0x00007f223188fff0 pthread_cond_wait@@GLIBC_2.3.2 (libc.so.6 + 0x8fff0)
                                                        #2  0x00007f22096bfc2b util_queue_thread_func.lto_priv.0 (radeonsi_dri.so + 0xbfc2b)
                                                        #3  0x00007f22096b9bdb impl_thrd_routine.lto_priv.0.lto_priv.0 (radeonsi_dri.so + 0xb9bdb)
                                                        #4  0x00007f2231890c67 start_thread (libc.so.6 + 0x90c67)
                                                        #5  0x00007f2231916080 __clone3 (libc.so.6 + 0x116080)
                                                        ELF object binary architecture: AMD x86-64



Version-Release number of selected component:
xdg-desktop-portal-gnome-42.0.1-1.fc37

Additional info:
reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/xdg-desktop-portal-gnome.service
cmdline:        /usr/libexec/xdg-desktop-portal-gnome
crash_function: wl_proxy_get_version
executable:     /usr/libexec/xdg-desktop-portal-gnome
journald_cursor: s=9b62c0a441e4410584867a4baa544534;i=31868;b=a08bec029d96423b9003007ee499ee2e;m=335511beb;t=5daf372e55b7a;x=fe97de009d8586f8
kernel:         5.17.0-128.fc37.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 wl_proxy_get_version at ../src/wayland-client.c:2200
 #1 wl_display_get_registry at /usr/include/wayland-client-protocol.h:1062
 #2 gtk_im_context_wayland_global_get at ../gtk/gtkimcontextwayland.c:782
 #4 gtk_im_context_wayland_focus_in at ../gtk/gtkimcontextwayland.c:803
 #5 gtk_text_im_set_focus_in at ../gtk/gtktext.c:2225
 #6 gtk_text_realize at ../gtk/gtktext.c:2238
 #7 _g_closure_invoke_va at ../gobject/gclosure.c:893
 #10 gtk_widget_realize at ../gtk/gtkwidget.c:3451
 #11 gtk_widget_map at ../gtk/gtkwidget.c:2866
 #12 gtk_widget_real_map at ../gtk/gtkwidget.c:7664

Potential duplicate: bug 2065942

Comment 1 Mikhail 2022-03-24 10:28:05 UTC
Created attachment 1868074 [details]
File: backtrace

Comment 2 Mikhail 2022-03-24 10:28:06 UTC
Created attachment 1868075 [details]
File: core_backtrace

Comment 3 Mikhail 2022-03-24 10:28:07 UTC
Created attachment 1868076 [details]
File: cpuinfo

Comment 4 Mikhail 2022-03-24 10:28:08 UTC
Created attachment 1868077 [details]
File: dso_list

Comment 5 Mikhail 2022-03-24 10:28:10 UTC
Created attachment 1868078 [details]
File: environ

Comment 6 Mikhail 2022-03-24 10:28:11 UTC
Created attachment 1868079 [details]
File: exploitable

Comment 7 Mikhail 2022-03-24 10:28:12 UTC
Created attachment 1868080 [details]
File: limits

Comment 8 Mikhail 2022-03-24 10:28:13 UTC
Created attachment 1868081 [details]
File: maps

Comment 9 Mikhail 2022-03-24 10:28:14 UTC
Created attachment 1868082 [details]
File: mountinfo

Comment 10 Mikhail 2022-03-24 10:28:16 UTC
Created attachment 1868083 [details]
File: open_fds

Comment 11 Mikhail 2022-03-24 10:28:17 UTC
Created attachment 1868084 [details]
File: proc_pid_status

Comment 12 Mikhail 2022-03-24 15:46:43 UTC
Similar problem has been detected:

Happens when I try download any file in chrome based browser (Brave).

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/xdg-desktop-portal-gnome.service
cmdline:        /usr/libexec/xdg-desktop-portal-gnome
crash_function: wl_proxy_get_version
executable:     /usr/libexec/xdg-desktop-portal-gnome
journald_cursor: s=9b62c0a441e4410584867a4baa544534;i=31868;b=a08bec029d96423b9003007ee499ee2e;m=335511beb;t=5daf372e55b7a;x=fe97de009d8586f8
kernel:         5.17.0-128.fc37.x86_64
package:        xdg-desktop-portal-gnome-42.0.1-1.fc37
reason:         xdg-desktop-portal-gnome killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora Blocker Bugs Application 2022-03-25 09:16:19 UTC
Proposed as a Blocker and Freeze Exception for 37-beta by Fedora user mikhail using the blocker tracking app because:

 Unable save file in X11 applications. Instead of save file dialog happens crash of process "xdg-desktop-portal-gnome".

Comment 14 Ibrahim Ansari 2022-03-30 13:26:31 UTC
Note, this only happens on Xwayland, this doesn't happen when using Chrome with Ozone/Wayland instead of Ozone/X11 or when running it in an X.org session.

Comment 15 Fedora Blocker Bugs Application 2022-03-30 13:30:55 UTC
Proposed as a Blocker for 36-final by Fedora user retrixe using the blocker tracking app because:

 This issue causes the file picker to crash when using an app which runs on Xwayland and uses the xdg-desktop-portal file picker.

This is especially noticeable for Chromium-based browsers which run on Xwayland out of the box. Users upgrading to/installing Fedora 36 who try saving a picture/file/website, or more importantly try uploading a file to a website, will be unable to do so because of this issue.

Comment 16 Adam Williamson 2022-03-30 15:46:51 UTC
I suspect https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome/-/issues/22 is the same, so hijacking that as the upstream report.

Comment 17 Fedora Update System 2022-03-31 20:06:00 UTC
FEDORA-2022-f8681a48e6 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f8681a48e6

Comment 18 Mikhail 2022-03-31 21:43:29 UTC
Created attachment 1869814 [details]
save window - bug

Unfortunately I see that the problem has not been completely fixed.
Yes, there is no more process crash but:
1) every time when the save window is opened, appears the message "The folder contents could not be displayed - Operation was cancelled" .
2) The save window expands to full screen, overlapping the window of the program from which the save is being made.

Comment 19 Fedora Update System 2022-04-01 23:23:54 UTC
FEDORA-2022-f8681a48e6 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-f8681a48e6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f8681a48e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2022-04-04 00:15:07 UTC
FEDORA-2022-f8681a48e6 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Miro Hrončok 2022-04-05 15:42:14 UTC
See also bz2071195.


Note You need to log in before you can comment on or make changes to this bug.